Bug 1869503 - Tempest sanity tests failed on splistack deployment [NEEDINFO]
Summary: Tempest sanity tests failed on splistack deployment
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleo-common-tests-tempest
Version: 16.1 (Train)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Arx Cruz
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-18 06:57 UTC by Jad Haj Yahya
Modified: 2020-12-21 19:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-04 13:45:06 UTC
Target Upstream Version:
alifshit: needinfo? (jhajyahy)
kchamart: needinfo? (jhajyahy)


Attachments (Terms of Use)

Description Jad Haj Yahya 2020-08-18 06:57:44 UTC
Description of problem:
14 out of 16 tempest tests failed on splitstack deployments. see report:
https://rhos-ci-jenkins.lab.eng.tlv2.redhat.com/job/DFG-df-splitstack-16.1-virsh-3cont_3comp_3ceph-blacklist-1compute-1control-scaleup/10/testReport/


Version-Release number of selected component (if applicable):
RHOS-16.1-RHEL-8-20200813.n.0

How reproducible:


Steps to Reproduce:
1. Run https://rhos-ci-jenkins.lab.eng.tlv2.redhat.com/job/DFG-df-splitstack-16.1-virsh-3cont_3comp_3ceph-blacklist-1compute-1control-scaleup/
2.
3.

Actual results:


Expected results:


Additional info:
Sanity tests passed on same non-splitstack job: https://rhos-ci-jenkins.lab.eng.tlv2.redhat.com/view/DFG/view/df/view/rfe/job/DFG-df-rfe-16.1-virsh-3cont_3comp_3ceph-blacklist-1compute-1control-scaleup/3/testReport/

Comment 3 Artom Lifshitz 2020-10-09 14:37:27 UTC
selinux is preventing qemu-kvm from executing. Here's a snippet from compute-0's audit.log:

type=AVC msg=audit(1597535175.792:18853): avc:  denied  { entrypoint } for  pid=84947 comm="libvirtd" path="/usr/libexec/qemu-kvm" dev="overlay" ino=310042 scontext=system_u:system_r:svirt_t:s0:c15,c878 tcontext=system_u:object_r:container_file_t:s0:c411,c758 tclass=file permissive=0

The question is - is this the same as BZ1841822, or a new bug? Can you double the version of t-h-t used to deploy the environment, and whether it's earlier or later than openstack-tripleo-heat-templates-10.6.3-0.20200113185561.cf467ea?

Comment 4 Kashyap Chamarthy 2020-11-20 15:06:27 UTC
(In reply to Artom Lifshitz from comment #3)
> selinux is preventing qemu-kvm from executing. Here's a snippet from
> compute-0's audit.log:
> 
> type=AVC msg=audit(1597535175.792:18853): avc:  denied  { entrypoint } for 
> pid=84947 comm="libvirtd" path="/usr/libexec/qemu-kvm" dev="overlay"
> ino=310042 scontext=system_u:system_r:svirt_t:s0:c15,c878
> tcontext=system_u:object_r:container_file_t:s0:c411,c758 tclass=file
> permissive=0
> 
> The question is - is this the same as BZ1841822, or a new bug? Can you
> double the version of t-h-t used to deploy the environment, and whether it's
> earlier or later than
> openstack-tripleo-heat-templates-10.6.3-0.20200113185561.cf467ea?

Hi, Jad -- did you get a chance to double-check the above?

Comment 5 Kashyap Chamarthy 2020-12-04 13:45:06 UTC
(In reply to Kashyap Chamarthy from comment #4)
> (In reply to Artom Lifshitz from comment #3)

[...]

> > The question is - is this the same as BZ1841822, or a new bug? Can you
> > double the version of t-h-t used to deploy the environment, and whether it's
> > earlier or later than
> > openstack-tripleo-heat-templates-10.6.3-0.20200113185561.cf467ea?
> 
> Hi, Jad -- did you get a chance to double-check the above?

We're reasonably confident you're hitting a bug that's already fixed (https://bugzilla.redhat.com/show_bug.cgi?id=1841822)

For now,I'm closing this bug.  If you think this comment is wrong; feel free to re-open it with more evidence.


Note You need to log in before you can comment on or make changes to this bug.